library: libRooFit #include "RooProduct.h"

# RooProduct

class description - source file - inheritance tree (.pdf)

## class RooProduct : public RooAbsReal

| Inheritance Chart:
`TObject`
| <- | `TNamed`
`RooPrintable`
| <- | `RooAbsArg`
| <- | `RooAbsReal`
| <- | `RooProduct` |

        protected:

          virtual Double_t evaluate() const

        public:

                           RooProduct()
                           RooProduct(const char* name, const char* title, const RooArgSet& _prodSet)
                           RooProduct(const RooProduct& other, const char* name = "0")
                   virtual ~RooProduct()
            static TClass* Class()
          virtual TObject* clone(const char* newname) const
           virtual TClass* IsA() const
              virtual void ShowMembers(TMemberInspector& insp, char* parent)
              virtual void Streamer(TBuffer& b)
                      void StreamerNVirtual(TBuffer& b)

### Data Members

        protected:

          RooSetProxy _compSet
           TIterator* _compIter  ! do not persist

## Class Description

RooProduct()

RooProduct(const char* name, const char* title, const RooArgSet& prodSet) : RooAbsReal(name, title), _compSet("compSet","Set of product components",this)

     Constructor

RooProduct(const RooProduct& other, const char* name) : RooAbsReal(other, name), _compSet("compSet",this,other._compSet)

     Copy constructor

Double_t evaluate() const

### Inline Functions

                   void ~RooProduct()
               TObject* clone(const char* newname) const
                TClass* Class()
                TClass* IsA() const
                   void ShowMembers(TMemberInspector& insp, char* parent)
                   void Streamer(TBuffer& b)
                   void StreamerNVirtual(TBuffer& b)

Last update: Tue Jun 28 18:14:36 2005
Copyright (c) 2000-2005, Regents of the University of California *